<!-- Ligne Administrateurs -->
<div *ngIf="warehouse != null" class="content mt-3">
  <div *ngIf="warehouse.admin" class="row">
    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-info text-success border-success"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">Statut</div>
              <div class="stat-digit">{{statistics.status}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-users text-primary border-primary"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">Utilisateurs</div>
              <div class="stat-digit">{{statistics.usersCount}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-archive text-warning border-warning"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">Cloturés</div>
              <div class="stat-digit">{{statistics.inventoriesClosedCount}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-warning text-danger border-danger"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">Ruptures</div>
              <div class="stat-digit">{{statistics.outOfStockCount}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Ligne Utilisateurs -->

  <div class="row">
    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-calendar text-black border-black"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">Dernière cloture</div>
              <div class="stat-digit">{{statistics.lastClosedDate != null ? (statistics.lastClosedDate | date) : 'N/A'}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-list text-orange border-orange"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">En cours</div>
              <div class="stat-digit">{{statistics.pendingInventoriesCount}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-tags text-violet border-violet"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">Produits</div>
              <div class="stat-digit">{{statistics.productsCount}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-lg-3 col-md-6">
      <div class="card">
        <div class="card-body">
          <div class="stat-widget-one">
            <div class="stat-icon dib"><i class="icon-size fa fa-folder text-blue border-blue"></i></div>
            <div class="stat-content dib">
              <div class="stat-text">Mes inventaires</div>
              <div class="stat-digit">{{statistics.myInventoriesCount}}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Listing 5 derniers -->
  <div class="row">
    <div class="col-lg-12">
      <div class="card">
        <div class="card-header">
          <strong class="card-title">Derniers inventaires</strong>
        </div>

        <div class="card-body">

          <div *ngIf="dataSource.data.length > 0" class="mat-elevation-z2">
            <table mat-table [dataSource]="dataSource" matSort>
              <!-- Date Column -->
              <ng-container matColumnDef="date">
                <th mat-header-cell *matHeaderCellDef class="tbl-cell-15">Date</th>
                <td mat-cell *matCellDef="let inventory" class="tbl-cell-5">{{inventory.date | date}}</td>
              </ng-container>

              <!-- Nom Column -->
              <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef class="tbl-cell-20">Nom</th>
                <td mat-cell *matCellDef="let inventory" class="tbl-cell-5">{{inventory.name}}</td>
              </ng-container>

              <!-- Description Column -->
              <ng-container matColumnDef="description">
                <th mat-header-cell *matHeaderCellDef class="tbl-cell-30">Description</th>
                <td mat-cell *matCellDef="let inventory" class="tbl-cell-5">{{inventory.description == null ? 'N/A' :
                  inventory.description}}</td>
              </ng-container>

              <!-- Author Column -->
              <ng-container matColumnDef="author">
                <th mat-header-cell *matHeaderCellDef class="tbl-cell-15">Auteur</th>
                <td mat-cell *matCellDef="let inventory" class="tbl-cell-5">{{inventory.author.firstName + ' ' +
                  inventory.author.lastName}}</td>
              </ng-container>

              <!-- Alerte Column -->
              <ng-container matColumnDef="alert">
                <th mat-header-cell *matHeaderCellDef class="tbl-cell-5 text-center">Alerte</th>
                <td mat-cell *matCellDef="let inventory" [style.color]="inventory.color" class="tbl-cell-5  text-center">
                  <div *ngIf="inventory.outOfStock; else elseBlock">
                    <i class="fa fa-warning text-warning"></i><span hidden>warning</span>
                  </div>
                  <ng-template #elseBlock>
                    <i class="fa fa-check text-success"></i><span hidden>ok</span>
                  </ng-template>
                </td>
              </ng-container>

              <!-- Actions Column -->
              <ng-container matColumnDef="actions">
                <th mat-header-cell *matHeaderCellDef class="tbl-cell-5  text-center">Actions</th>
                <td mat-cell *matCellDef="let inventory" [style.color]="inventory.color" class="tbl-cell-5 text-center">
                  <i (click)="onShowInventory(inventory)" data-toggle="modal" data-target="#invModal" class="icon-click fa fa-eye"></i>
                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
              <tr mat-row *matRowDef="let inventory; columns: displayedColumns;">
              </tr>
            </table>
          </div>

          <p *ngIf="dataSource.data.length == 0">Aucun inventaire n'a encore été clôturé pour cet entrepôt.</p>

        </div>
      </div>
    </div>
  </div>
</div>